Home Help Center

ICE 3.4.1 and VS2005

fjsenfjsen Member Jose SenOrganization: VisureProject: IRQA
Hi,

I've realized that VS2005 is missing in the supported C++ development environments. Why? I'm evaluating it and I've rebuilt my test project with 3.4.1 without any warning or errors, but the server application crahes when the client one tries to call a remote method. I need to test the new asynchronous calling method API.

Is there any way I can continue muy evaluation process using VS2005? I wont be able to upgrade my desktop application to VS2008/VS2010 in a reasonable date.

Regards,

Jose

Comments

  • bernardbernard Jupiter, FLAdministrators, ZeroC Staff Bernard NormierOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi Jose,

    Welcomes to our forums!

    You could try to build Ice 3.4.1 from sources with Visual Studio 2005, however, we don't support this compiler, so there is no guarantee it will work without some effort.

    A safer bet (if you can't switch to Visual Studio 2008 or 2010) would be to evaluate the previous Ice version, 3.3.1, with Visual Studio 2005 SP1: http://www.zeroc.com/download_3_3_1.html

    Best regards,
    Bernard
  • fjsenfjsen Member Jose SenOrganization: VisureProject: IRQA
    Hi Bernard,

    What does mean "there is no guarantee it will work without some effort"? Is there any technical reason you think it will not work as expected?

    Kind regards,

    Jose
  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    It means that you might need to modify the Ice source code to get it to compile and run as parts of Ice are using some APIs which are only available on more recent Windows versions... If you don't have other choices, the best is to try it out and see how it goes :)

    Cheers,
    Benoit
Sign In or Register to comment.